# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['kafka_streamka']

package_data = \
{'': ['*']}

install_requires = \
['confluent-kafka>=2.4.0,<3.0.0']

setup_kwargs = {
    'name': 'kafka-streamka',
    'version': '0.0.0a0',
    'description': 'Kafka Steams API implementation for Python (using confluent-kafka).',
    'long_description': '# Kafka Streamka - Kafka Steams API for Python\n\n[![PyPI](https://img.shields.io/pypi/v/kafka_streamka)](https://pypi.org/project/kafka-streamka/)\n[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/kafka_streamka)](https://pypi.org/project/kafka-streamka/)\n[![PyPI - License](https://img.shields.io/pypi/l/kafka_streamka)](https://pypi.org/project/kafka-streamka/)\n[![PyPI - Downloads](https://img.shields.io/pypi/dm/kafka_streamka)](https://pypi.org/project/kafka-streamka/)\n[![PyPI - Coverage](https://img.shields.io/badge/coverage-0%25-red)](https://pypi.org/project/kafka-streamka/)\n[![PyPI - Wheel](https://img.shields.io/pypi/wheel/kafka_streamka)](https://pypi.org/project/kafka-streamka/)\n[![PyPI - Implementation](https://img.shields.io/pypi/implementation/kafka_streamka)](https://pypi.org/project/kafka-streamka/)\n\n**<u>Project is currently in the research phase.</u>**\n\nKafka Streamka is a Kafka Streams API implementation for Python, utilizing the `confluent-kafka` library. The Kafka Streams API,\noriginally developed for Java, is a powerful library for building real-time, scalable, and fault-tolerant stream processing\napplications. It allows developers to process and analyze data stored in Kafka topics with ease.\n\nOne of the revolutionary features introduced by Kafka Streams is "exactly-once delivery" semantics, which ensures that each\nrecord is processed exactly once, even in the presence of failures. This feature is crucial for maintaining data integrity\nin distributed systems.\n\nIn Kafka, there are two types of producers: synchronous and asynchronous. A synchronous producer waits for an acknowledgment\nfrom the Kafka broker before sending the next message, ensuring that messages are delivered in order. An asynchronous producer,\non the other hand, sends messages without waiting for acknowledgments, which can lead to higher throughput but may result\nin out-of-order delivery. For critical applications where message order and delivery guarantees are important, the synchronous\napproach is preferred.\n\nImplementing a Kafka Streams API in Python presents several challenges. Python\'s Global Interpreter Lock (GIL) can limit\nthe performance of multi-threaded applications, making it difficult to achieve the same level of concurrency as in Java.\nAdditionally, integrating with the `confluent-kafka` library and ensuring compatibility with Kafka\'s features requires\ncareful design and testing.\n\nThis project is currently in the research phase, and we are exploring the best approaches to bring the power of Kafka Streams\nto the Python ecosystem.\n\n## License\n\nThis project is licensed under the GNU Affero General Public License v3.0. See the `LICENSE` file for more details.\n\n## Contact\n\nFor any inquiries, please contact sales at [contact@effiware.com](mailto:contact@effiware.com).\n\n## Links\n\n- [Homepage](https://github.com/Effiware/kafka-streamka/wiki)\n- [Repository](https://github.com/Effiware/kafka-streamka)',
    'author': 'and-ratajski',
    'author_email': 'and.ratajski@effiware.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://github.com/Effiware/kafka-streamka/wiki',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.12,<4.0',
}


setup(**setup_kwargs)
